Bug 173940 - Default Session Values lost after explictly set for a given httpd process
Default Session Values lost after explictly set for a given httpd process
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
http://bugs.php.net/bug.php?id=27963
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-22 15:47 EST by Mark Arends
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:50:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Arends 2005-11-22 15:47:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.0 (like Gecko)

Description of problem:
I'm having the same problem as described on http://bugs.php.net/bug.php?id=27963  
  
"When PHP code is run that explicitly sets (and overrides) the default  
value of session_module_name, subsequent requests to that httpd process  
use the value that was set and do not default back to the default value."  

Version-Release number of selected component (if applicable):
php-4.3.2-26.ent

How reproducible:
Always

Steps to Reproduce:
Default Value in php.ini: session_module_name("files"); 
 
In your code, specify session_module_name("user"); 
 
Set your apache server to run with only one httpd process - run your 
code setting session_module_name to user. 
 
Subsequent requests by a page not setting the session_module_name value 
will have the session_module_name set to user and not default back to 
files. 

Actual Results:  session_module_name retains the last value set, not the default value. 

Expected Results:  When you don't specify session_module_name it should set back to the 
default value. 

Additional info:

This is fixed in php 4.3.6 , but RHEL 3 ES comes with php 4.3.2-26 and doesn't contain  
a back poorted version of this fix.  
 
We are running about 200 sites and if some one uses session_module_name("user") 
this breaks other sites.
Comment 1 RHEL Product and Program Management 2007-10-19 14:50:45 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.